import { createOptions } from './parseAsType.js';
/**
 *
 * @param variableValue value of a variable to be validated and parse
 * @returns Options<symbol>. Option functions to be called that either would return a specified value or throw error in case variable is not of symbol type
 */
const parseAsSymbol = (variableValue) => {const expectedType = 'symbol';const receivedType = typeof variableValue;return createOptions(variableValue, expectedType, receivedType);};
//# sourceMappingURL=parseAsSymbol.js.map
export default parseAsSymbol;